Retrieve a device message

GET /api/v1/message_equipment_types/:id

Returns a single device message by its identifier. The response has the same fields as a list item, wrapped in a single data object.

Path parameters

id integer required

Identifier (unique key) of the message in the system.

Response fields

AttributeDescription
idIdentifier (unique key) of the message in the system
nameMessage name
descriptionMessage description
device_codeDevice message code
equipment_type_idIdentifier of the metering device configuration type (corrector configuration type key)
equipment_type_varnameString unique identifier of the metering device configuration type
referenceparameter_archive_type_idArchive type identifier
archive_type_varnameString unique identifier of the archive type
message_typical_idTypical message identifier
channel_idChannel identifier (unique key), null if not bound to a channel
channel_varnameChannel string identifier, null if not bound to a channel
dataReturned message object

Request

bash
curl -i \
  --header "access-token: *********************" \
  --header "token-type: Bearer" \
  --header "client: **********************" \
  --header "uid: user@local.net" \
  --header "Content-Type: application/json" \
  --request GET \
  "https://uztgs.uz/api/v1/message_equipment_types/1"

Response

json
{
  "data": {
    "id": 1,
    "name": "Accumulated volume",
    "description": "Scheduled communication",
    "device_code": "0",
    "equipment_type_id": 11,
    "equipment_type_varname": "EK-270",
    "referenceparameter_archive_type_id": 25,
    "archive_type_varname": "nesht",
    "message_typical_id": 2,
    "channel_id": null,
    "channel_varname": null
  }
}
Последнее обновление

Эта страница была полезной?